Package net.paulhertz.pixelaudio.schedule

# Enum Class AudioUtility.NormalizationMode

java.lang.Object
java.lang.Enum<AudioUtility.NormalizationMode>
net.paulhertz.pixelaudio.schedule.AudioUtility.NormalizationMode

All Implemented Interfaces:
  `Serializable`, `Comparable<AudioUtility.NormalizationMode>`, `Constable`

Enclosing class:
  AudioUtility

static enum AudioUtility.NormalizationMode extends Enum<AudioUtility.NormalizationMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DB`
  `PEAK`
  `RMS`
  `RMS_WITH_CEILING`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `private`
  `NormalizationMode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AudioUtility.NormalizationMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AudioUtility.NormalizationMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DB

    public static final AudioUtility.NormalizationMode DB

  - ### PEAK

    public static final AudioUtility.NormalizationMode PEAK

  - ### RMS

    public static final AudioUtility.NormalizationMode RMS

  - ### RMS_WITH_CEILING

    public static final AudioUtility.NormalizationMode RMS_WITH_CEILING

- ## Constructor Details

  - ### NormalizationMode

    private NormalizationMode()

- ## Method Details

  - ### values

    public static AudioUtility.NormalizationMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AudioUtility.NormalizationMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null